PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PMonitoredSockets::BundleParams Struct Reference

`#include <psockbun.h>`

Collaboration diagram for PMonitoredSockets::BundleParams:
[legend]

## Public Member Functions
| BundleParams ()

## Public Attributes
void * | m_buffer
| Data to read/write. More...
PINDEX | m_length
| Maximum length of data. More...
PIPSocket::Address | m_addr
| Remote IP address data came from, or is written to. More...
WORD | m_port
| Remote port data came from, or is written to. More...
PString | m_iface
| Interface to use for read or write, also then one data was read on. More...
PINDEX | m_lastCount
| Actual length of data read/written. More...
PTimeInterval | m_timeout
| Time to wait for data. More...
PChannel::Errors | m_errorCode
| Error code for read/write. More...
int | m_errorNumber
| Error number (OS specific) for read/write. More...

## Constructor & Destructor Documentation

PMonitoredSockets::BundleParams::BundleParams | ( |  | ) |
| inline

## Member Data Documentation

PIPSocket::Address PMonitoredSockets::BundleParams::m_addr

Remote IP address data came from, or is written to.

void* PMonitoredSockets::BundleParams::m_buffer

Data to read/write.

PChannel::Errors PMonitoredSockets::BundleParams::m_errorCode

Error code for read/write.

int PMonitoredSockets::BundleParams::m_errorNumber

Error number (OS specific) for read/write.

PString PMonitoredSockets::BundleParams::m_iface

Interface to use for read or write, also then one data was read on.

PINDEX PMonitoredSockets::BundleParams::m_lastCount

Actual length of data read/written.

PINDEX PMonitoredSockets::BundleParams::m_length

Maximum length of data.

WORD PMonitoredSockets::BundleParams::m_port

Remote port data came from, or is written to.

PTimeInterval PMonitoredSockets::BundleParams::m_timeout

Time to wait for data.

The documentation for this struct was generated from the following file:

- psockbun.h